# collada.scene.NodeNode

class collada.scene.NodeNode(node, xmlnode=None)

  Represents a node being instantiated in a scene, as defined in the collada <instande_node> tag.

  __init__(node, xmlnode=None)

    Creates a node node

    Parameters:

      - node (collada.scene.Node) – A node to instantiate in the scene

      - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(node[, xmlnode]) | Creates a node node
  `load`(collada, node, localscope) | Load and return a class instance from an XML node.
  `objects`(tipo[, matrix]) | Iterate through all objects under this node that match tipo.
  `save`() | Saves the node node back to `xmlnode`

  Attributes

  `children` |
  `id` |
  `matrix` |
  `xmlnode` | ElementTree representation of the node node.
  `node` | An object of type `collada.scene.Node` representing the node to bind in the scene
  `name` | The optional string node name (not required to be unique)for the node, by default set to the id value